//
//  EditComponent.swift
//  ArkitDoushiQi
//
//  Created by Johan LACHENAL on 24/05/2024.
//

import SwiftUI

struct EditComponent: View {
    let explanation : String
    let value : String
    @State private var name = "Joueur 1"
    var body: some View {
        Form {
            Section(header : Text(explanation)) {
                TextField(value, text : $name)
            }
        }
    }
}

struct EditComponent_Previews: PreviewProvider {
    static var previews: some View {
        EditComponent(explanation: "Nom du joueur 1", value : "Joueur 1")
    }
}
